#!/bin/sh

DBNAME=pgcrypto_test

dropdb $DBNAME
createdb $DBNAME || exit 1

(
	echo "create extension if not exists pgcrypto with schema pg_catalog;"
	echo "create table pgp_test1 ("
	echo "    vdata bytea"
	echo ");"

	echo "insert into pgp_test1 select pgp_sym_encrypt('test data', 'key_0');"
	echo ""

	n=0
	while [ $n -le 75 ] ; do
		echo "select pgp_sym_decrypt(vdata, 'key_$n'), vdata from pgp_test1;"
		n=`expr $n + 1`
	done

	echo ""
	echo "drop table pgp_test1;"
	echo "drop extension pgcrypto;"
) | psql $DBNAME
